GNU bug report logs - #10691
libtool adding -pthread to portland compilers

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: "Daily, Jeff A" <jeff.daily@HIDDEN>; dated Wed, 1 Feb 2012 20:57:02 UTC; Maintainer for libtool is bug-libtool@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Feb 2012 20:56:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 01 15:56:40 2012
Received: from localhost ([127.0.0.1]:49571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RshEN-0002iF-8z
	for submit <at> debbugs.gnu.org; Wed, 01 Feb 2012 15:56:39 -0500
Received: from eggs.gnu.org ([140.186.70.92]:51519)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <prvs=37137624e=jeff.daily@HIDDEN>)
	id 1RshEK-0002i2-6o
	for submit <at> debbugs.gnu.org; Wed, 01 Feb 2012 15:56:37 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <prvs=37137624e=jeff.daily@HIDDEN>)
	id 1RshDq-0002ak-9s
	for submit <at> debbugs.gnu.org; Wed, 01 Feb 2012 15:56:08 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,HTML_MESSAGE,
	RCVD_IN_DNSWL_MED autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([140.186.70.17]:50939)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <prvs=37137624e=jeff.daily@HIDDEN>)
	id 1RshDq-0002ag-8L
	for submit <at> debbugs.gnu.org; Wed, 01 Feb 2012 15:56:06 -0500
Received: from eggs.gnu.org ([140.186.70.92]:59512)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <prvs=37137624e=jeff.daily@HIDDEN>)
	id 1RshDo-0000hy-8g
	for bug-libtool@HIDDEN; Wed, 01 Feb 2012 15:56:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <prvs=37137624e=jeff.daily@HIDDEN>)
	id 1RshDm-0002aV-Hb
	for bug-libtool@HIDDEN; Wed, 01 Feb 2012 15:56:04 -0500
Received: from emailgw04.pnl.gov ([192.101.109.35]:61668)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <prvs=37137624e=jeff.daily@HIDDEN>)
	id 1RshDl-0002aO-Uk
	for bug-libtool@HIDDEN; Wed, 01 Feb 2012 15:56:02 -0500
Received: from emailhub02.pnl.gov ([130.20.251.62])
	by emailgw04.pnl.gov with ESMTP/TLS/AES128-SHA;
	01 Feb 2012 12:55:59 -0800
Received: from Email05.pnl.gov ([169.254.1.166]) by emailhub02.pnl.gov
	([130.20.251.62]) with mapi; Wed, 1 Feb 2012 12:55:39 -0800
From: "Daily, Jeff A" <jeff.daily@HIDDEN>
To: "bug-libtool@HIDDEN" <bug-libtool@HIDDEN>
Date: Wed, 1 Feb 2012 12:55:58 -0800
Subject: libtool adding -pthread to portland compilers
Thread-Topic: libtool adding -pthread to portland compilers
Thread-Index: AczhI4dUc0ps5m/SSgC/uRihQ+zTMg==
Message-ID: <F0F90F8B4D282340A6D984CE8FA7A0A7012B1B98CB0F@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
acceptlanguage: en-US
Content-Type: multipart/alternative;
	boundary="_000_F0F90F8B4D282340A6D984CE8FA7A0A7012B1B98CB0FEMAIL05pnlg_"
MIME-Version: 1.0
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

--_000_F0F90F8B4D282340A6D984CE8FA7A0A7012B1B98CB0FEMAIL05pnlg_
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

I see this recent post on the same subject:
http://lists.gnu.org/archive/html/libtool/2010-11/msg00035.html

PGI offers this work-around:
http://www.pgroup.com/userforum/viewtopic.php?p=3D8419&sid=3D2b25bde02111e5=
b26f00709197c2a5eb
Which means you create a ~/siterc file with the contents:
switch -pthread is replace(-lpthread) positional(linker);

I've verified that the work-around works, but it would be nice to get this =
fixed in libtool.

What's the bugfix status on translating -pthread to -lpthread for PGI compi=
lers?
__________________________________________________
Jeff Daily
Scientist
DATA INTENSIVE SCIENTIFIC COMPUTING
Pacific Northwest National Laboratory
902 Battelle Boulevard
P.O. Box 999, MSIN K7-90
Richland, WA  99352 USA
Tel:  509-372-6548
Fax: 509-372-4720
jeff.daily@HIDDEN
www.pnnl.gov



--_000_F0F90F8B4D282340A6D984CE8FA7A0A7012B1B98CB0FEMAIL05pnlg_
Content-Type: text/html; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

<html xmlns:v=3D"urn:schemas-microsoft-com:vml" xmlns:o=3D"urn:schemas-micr=
osoft-com:office:office" xmlns:w=3D"urn:schemas-microsoft-com:office:word" =
xmlns:m=3D"http://schemas.microsoft.com/office/2004/12/omml" xmlns=3D"http:=
//www.w3.org/TR/REC-html40"><head><meta http-equiv=3DContent-Type content=
=3D"text/html; charset=3Dus-ascii"><meta name=3DGenerator content=3D"Micros=
oft Word 14 (filtered medium)"><style><!--
/* Font Definitions */
@font-face
	{font-family:Calibri;
	panose-1:2 15 5 2 2 2 4 3 2 4;}
@font-face
	{font-family:Verdana;
	panose-1:2 11 6 4 3 5 4 4 2 4;}
/* Style Definitions */
p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0in;
	margin-bottom:.0001pt;
	font-size:11.0pt;
	font-family:"Calibri","sans-serif";}
a:link, span.MsoHyperlink
	{mso-style-priority:99;
	color:blue;
	text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
	{mso-style-priority:99;
	color:purple;
	text-decoration:underline;}
span.EmailStyle17
	{mso-style-type:personal-compose;
	font-family:"Calibri","sans-serif";
	color:windowtext;}
span.postbody
	{mso-style-name:postbody;}
.MsoChpDefault
	{mso-style-type:export-only;
	font-family:"Calibri","sans-serif";}
@page WordSection1
	{size:8.5in 11.0in;
	margin:1.0in 1.0in 1.0in 1.0in;}
div.WordSection1
	{page:WordSection1;}
--></style><!--[if gte mso 9]><xml>
<o:shapedefaults v:ext=3D"edit" spidmax=3D"1026" />
</xml><![endif]--><!--[if gte mso 9]><xml>
<o:shapelayout v:ext=3D"edit">
<o:idmap v:ext=3D"edit" data=3D"1" />
</o:shapelayout></xml><![endif]--></head><body lang=3DEN-US link=3Dblue vli=
nk=3Dpurple><div class=3DWordSection1><p class=3DMsoNormal>I see this recen=
t post on the same subject:<o:p></o:p></p><p class=3DMsoNormal><a href=3D"h=
ttp://lists.gnu.org/archive/html/libtool/2010-11/msg00035.html">http://list=
s.gnu.org/archive/html/libtool/2010-11/msg00035.html</a><o:p></o:p></p><p c=
lass=3DMsoNormal><o:p>&nbsp;</o:p></p><p class=3DMsoNormal>PGI offers this =
work-around:<o:p></o:p></p><p class=3DMsoNormal><a href=3D"http://www.pgrou=
p.com/userforum/viewtopic.php?p=3D8419&amp;sid=3D2b25bde02111e5b26f00709197=
c2a5eb">http://www.pgroup.com/userforum/viewtopic.php?p=3D8419&amp;sid=3D2b=
25bde02111e5b26f00709197c2a5eb</a><o:p></o:p></p><p class=3DMsoNormal>Which=
 means you create a ~/siterc file with the contents:<o:p></o:p></p><p class=
=3DMsoNormal><span class=3Dpostbody>switch -pthread is replace(-lpthread) p=
ositional(linker);<o:p></o:p></span></p><p class=3DMsoNormal><span class=3D=
postbody><o:p>&nbsp;</o:p></span></p><p class=3DMsoNormal><span class=3Dpos=
tbody>I&#8217;ve verified that the work-around works, but it would be nice =
to get this fixed in libtool.<o:p></o:p></span></p><p class=3DMsoNormal><o:=
p>&nbsp;</o:p></p><p class=3DMsoNormal>What&#8217;s the bugfix status on tr=
anslating &#8211;pthread to &#8211;lpthread for PGI compilers?<o:p></o:p></=
p><p class=3DMsoNormal style=3D'mso-margin-top-alt:auto;mso-margin-bottom-a=
lt:auto'><span style=3D'font-size:10.0pt;font-family:"Arial","sans-serif";c=
olor:#D47500'>__________________________________________________</span><spa=
n style=3D'font-size:12.0pt;font-family:"Times New Roman","serif"'> <br></s=
pan><b><span style=3D'font-size:12.0pt;font-family:"Verdana","sans-serif";c=
olor:black'>Jeff Daily</span></b><span style=3D'font-size:12.0pt;font-famil=
y:"Times New Roman","serif"'> <br></span><span style=3D'font-size:10.0pt;fo=
nt-family:"Verdana","sans-serif";color:black'>Scientist</span><span style=
=3D'font-size:12.0pt;font-family:"Times New Roman","serif"'> <br></span><sp=
an style=3D'font-size:10.0pt;font-family:"Verdana","sans-serif";color:black=
'>DATA INTENSIVE SCIENTIFIC COMPUTING</span><span style=3D'font-size:12.0pt=
;font-family:"Times New Roman","serif"'> <o:p></o:p></span></p><p class=3DM=
soNormal><span style=3D'font-size:10.0pt;font-family:"Verdana","sans-serif"=
;color:black'>Pacific Northwest National Laboratory</span> <br><span style=
=3D'font-size:10.0pt;font-family:"Verdana","sans-serif";color:black'>902 Ba=
ttelle Boulevard</span> <br><span style=3D'font-size:10.0pt;font-family:"Ve=
rdana","sans-serif";color:black'>P.O. Box 999, MSIN K7-90</span> <br><span =
style=3D'font-size:10.0pt;font-family:"Verdana","sans-serif";color:black'>R=
ichland, WA&nbsp; 99352 USA</span> <br><span style=3D'font-size:10.0pt;font=
-family:"Verdana","sans-serif";color:black'>Tel:&nbsp; 509-372-6548</span> =
<br><span style=3D'font-size:10.0pt;font-family:"Verdana","sans-serif";colo=
r:black'>Fax: 509-372-4720</span> <br><span style=3D'font-size:10.0pt;font-=
family:"Verdana","sans-serif";color:black'>jeff.daily@HIDDEN</span> <br><=
span style=3D'font-size:10.0pt;font-family:"Verdana","sans-serif";color:#D4=
7500'>www.pnnl.gov</span> <o:p></o:p></p><p class=3DMsoNormal><o:p>&nbsp;</=
o:p></p><p class=3DMsoNormal><o:p>&nbsp;</o:p></p></div></body></html>=

--_000_F0F90F8B4D282340A6D984CE8FA7A0A7012B1B98CB0FEMAIL05pnlg_--




Acknowledgement sent to "Daily, Jeff A" <jeff.daily@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to bug-libtool@HIDDEN:
bug#10691; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.